<?php
/**
 * Plugin Name: Affiliates Custom Method
 * Description: Implements an example method for use with Affiliates Pro.
 * Version: 1.0.1
 * Author: itthinx
 * Author URI: http://www.itthinx.com
 */
class ACM {

	/**
	 * Registers a custom referral amount method.
	 */
	public static function init() {
		if ( class_exists( 'Affiliates_Referral' ) ) {
			Affiliates_Referral::register_referral_amount_method( array( __CLASS__, 'custom_method' ) );
		}
	}

	/**
	 * Custom referral amount method implementation.
	 * @param int $affiliate_id
	 * @param array $parameters
	 */
	public static function custom_method( $affiliate_id = null, $parameters = null ) {
		$result = "0";
		if ( isset( $parameters['base_amount'] ) ) {
			$result = bcmul( "0.25", $parameters['base_amount'], 2 );
		}
		return $result;
	}
}
add_action( 'init', array( 'ACM', 'init' ) );
